package com.mortals.xhx.module.customer.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerVo;
/**
* 客户实体对象
*
* @author zxfei
* @date 2021-11-22
*/

public class CustomerEntity extends CustomerVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户账号
    */
    private String loginName;
    /**
    * 密码
    */
    private String password;
    /**
    * 客户类型
    */
    private Integer custType;
    /**
    * 行业类型
    */
    private Integer tradeId;
    /**
    * 客户名称
    */
    private String custName;
    /**
    * 地址
    */
    private String address;
    /**
    * 联系电话
    */
    private String contactTelphone;
    /**
    * 状态
    */
    private Integer status;
    /**
    * 颁发给用户的访问服务所用的密钥ID
    */
    private String accessKey;



    public CustomerEntity(){}
    /**
    * 获取 用户账号
    * @return String
    */
    public String getLoginName(){
        return loginName;
    }
    /**
    * 设置 用户账号
    * @param loginName
    */
    public void setLoginName(String loginName){
        this.loginName = loginName;
    }
    /**
    * 获取 密码
    * @return String
    */
    public String getPassword(){
        return password;
    }
    /**
    * 设置 密码
    * @param password
    */
    public void setPassword(String password){
        this.password = password;
    }
    /**
    * 获取 客户类型
    * @return Integer
    */
    public Integer getCustType(){
        return custType;
    }
    /**
    * 设置 客户类型
    * @param custType
    */
    public void setCustType(Integer custType){
        this.custType = custType;
    }
    /**
    * 获取 行业类型
    * @return Integer
    */
    public Integer getTradeId(){
        return tradeId;
    }
    /**
    * 设置 行业类型
    * @param tradeId
    */
    public void setTradeId(Integer tradeId){
        this.tradeId = tradeId;
    }
    /**
    * 获取 客户名称
    * @return String
    */
    public String getCustName(){
        return custName;
    }
    /**
    * 设置 客户名称
    * @param custName
    */
    public void setCustName(String custName){
        this.custName = custName;
    }
    /**
    * 获取 地址
    * @return String
    */
    public String getAddress(){
        return address;
    }
    /**
    * 设置 地址
    * @param address
    */
    public void setAddress(String address){
        this.address = address;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getContactTelphone(){
        return contactTelphone;
    }
    /**
    * 设置 联系电话
    * @param contactTelphone
    */
    public void setContactTelphone(String contactTelphone){
        this.contactTelphone = contactTelphone;
    }
    /**
    * 获取 状态
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 状态
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 颁发给用户的访问服务所用的密钥ID
    * @return String
    */
    public String getAccessKey(){
        return accessKey;
    }
    /**
    * 设置 颁发给用户的访问服务所用的密钥ID
    * @param accessKey
    */
    public void setAccessKey(String accessKey){
        this.accessKey = accessKey;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerEntity) {
            CustomerEntity tmp = (CustomerEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",loginName:").append(getLoginName());
        sb.append(",password:").append(getPassword());
        sb.append(",custType:").append(getCustType());
        sb.append(",tradeId:").append(getTradeId());
        sb.append(",custName:").append(getCustName());
        sb.append(",address:").append(getAddress());
        sb.append(",contactTelphone:").append(getContactTelphone());
        sb.append(",status:").append(getStatus());
        sb.append(",accessKey:").append(getAccessKey());
        return sb.toString();
    }

    public void initAttrValue(){
            this.loginName = null;
            this.password = null;
            this.custType = null;
            this.tradeId = null;
            this.custName = null;
            this.address = null;
            this.contactTelphone = null;
            this.status = null;
            this.accessKey = null;
    }
}